LPCOpen Platform for LPC18XX/43XX microcontrollers: SPIFI_FAM_FX_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
SPIFI_FAM_FX_T Struct Reference
LPCSPIFILIB device driver API functions

## Detailed Description

Device specific function pointers.

Definition at line 253 of file spifilib_dev.h.

`#include "spifilib_dev.h"`

## Data Fields
SPIFI_ERR_T(* | lockCmd )(const struct SPIFI_HANDLE *, SPIFI_PCMD_LOCK_UNLOCK_T, uint32_t)
SPIFI_ERR_T(* | eraseAll )(const struct SPIFI_HANDLE *)
SPIFI_ERR_T(* | eraseBlock )(const struct SPIFI_HANDLE *, uint32_t)
SPIFI_ERR_T(* | eraseSubBlock )(const struct SPIFI_HANDLE *, uint32_t)
SPIFI_ERR_T(* | pageProgram )(const struct SPIFI_HANDLE *, uint32_t, const uint32_t *, uint32_t)
SPIFI_ERR_T(* | read )(const struct SPIFI_HANDLE *, uint32_t, uint32_t *, uint32_t)
SPIFI_ERR_T(* | reset )(const struct SPIFI_HANDLE *)
uint32_t(* | getStatus )(const struct SPIFI_HANDLE *, uint8_t)
uint32_t(* | subBlockCmd )(const struct SPIFI_HANDLE *, SPIFI_PCMD_SUBBLK_T, uint32_t)
deviceInitDeInitFx | devInitDeInit
devClearStatusFx | devClearStatus
devGetStatusFx | devGetStatus
devSetStatusFx | devSetStatus
devSetOptsFx | devSetOpts
devGetReadCmdFx | devGetReadCmd
devGetWriteCmdFx | devGetWriteCmd

## Field Documentation

devClearStatusFx devClearStatus

run-time assigned Fx* to clear status

Definition at line 277 of file spifilib_dev.h.

devGetReadCmdFx devGetReadCmd

run-time assigned Fx* to return read cmd

Definition at line 281 of file spifilib_dev.h.

devGetStatusFx devGetStatus

run-time assigned Fx* to get status

Definition at line 278 of file spifilib_dev.h.

devGetWriteCmdFx devGetWriteCmd

run-time assigned Fx* to return write cmd

Definition at line 282 of file spifilib_dev.h.

deviceInitDeInitFx devInitDeInit

run-time assigned Fx* device init de-init

Definition at line 276 of file spifilib_dev.h.

devSetOptsFx devSetOpts

run-time assigned Fx* to set quad mode

Definition at line 280 of file spifilib_dev.h.

devSetStatusFx devSetStatus

run-time assigned Fx* to set status

Definition at line 279 of file spifilib_dev.h.

SPIFI_ERR_T(* eraseAll)(const struct SPIFI_HANDLE *)

(required) Full device erase

Definition at line 258 of file spifilib_dev.h.

SPIFI_ERR_T(* eraseBlock)(const struct SPIFI_HANDLE *, uint32_t)

(required) Erase a block by block number

Definition at line 260 of file spifilib_dev.h.

SPIFI_ERR_T(* eraseSubBlock)(const struct SPIFI_HANDLE *, uint32_t)

(required) Erase a sub-block by block number

Definition at line 262 of file spifilib_dev.h.

uint32_t(* getStatus)(const struct SPIFI_HANDLE *, uint8_t)

(required) Returns device status

Definition at line 271 of file spifilib_dev.h.

SPIFI_ERR_T(* lockCmd)(const struct SPIFI_HANDLE *, SPIFI_PCMD_LOCK_UNLOCK_T, uint32_t)

(required) Lock / unlock handler

Definition at line 256 of file spifilib_dev.h.

SPIFI_ERR_T(* pageProgram)(const struct SPIFI_HANDLE *, uint32_t, const uint32_t *, uint32_t)

(required) Program up to a page of data at an address

Definition at line 264 of file spifilib_dev.h.

SPIFI_ERR_T(* read)(const struct SPIFI_HANDLE *, uint32_t, uint32_t *, uint32_t)

(required) Read an address range

Definition at line 266 of file spifilib_dev.h.

SPIFI_ERR_T(* reset)(const struct SPIFI_HANDLE *)

(required) Reset SPIFI device

Definition at line 268 of file spifilib_dev.h.

uint32_t(* subBlockCmd)(const struct SPIFI_HANDLE *, SPIFI_PCMD_SUBBLK_T, uint32_t)

(NULL allowed) Performs specified cmd

Definition at line 273 of file spifilib_dev.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpcspifilib/inc/spifilib_dev.h